@firma-dev/sdk
import { FirmaClient } from "@firma-dev/sdk";
const firma = new FirmaClient({ apiKey: "YOUR_API_KEY" });
const response = await firma.templates.listTemplateUsers({
id: "id"
});
console.log(response);curl --request GET \
--url https://api.firma.dev/functions/v1/signing-request-api/templates/{id}/users \
--header 'Authorization: <api-key>'import requests
url = "https://api.firma.dev/functions/v1/signing-request-api/templates/{id}/users"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.firma.dev/functions/v1/signing-request-api/templates/{id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "abc12345-e89b-12d3-a456-426614174000",
"name": "John Doe",
"email": "john@example.com",
"first_name": "John",
"last_name": "Doe",
"designation": "Signer",
"order": 1,
"phone_number": null,
"street_address": null,
"city": null,
"state_province": null,
"postal_code": null,
"country": null,
"title": null,
"company": null,
"required_fields": [
"email",
"first_name"
],
"missing_fields": [],
"required_read_only_fields": [],
"ready_to_send": true
},
{
"id": "def67890-e89b-12d3-a456-426614174000",
"name": null,
"email": null,
"first_name": null,
"last_name": null,
"designation": "Signer",
"order": 2,
"phone_number": null,
"street_address": null,
"city": null,
"state_province": null,
"postal_code": null,
"country": null,
"title": null,
"company": null,
"required_fields": [
"email",
"first_name",
"phone_number"
],
"missing_fields": [
"email",
"first_name",
"phone_number"
],
"required_read_only_fields": [
{
"variable_name": "contract_date",
"field_type": "date"
}
],
"ready_to_send": false
}
]
}{
"error": "Unauthorized",
"message": "Invalid API key"
}{
"error": "Not Found",
"message": "The requested resource was not found"
}{
"error": "Rate Limit Exceeded",
"message": "Too many requests. Please wait before retrying.",
"details": {
"retry_after": 45
}
}Templates
Get template users
Retrieve all recipients/users associated with a specific template
GET
/
templates
/
{id}
/
users
@firma-dev/sdk
import { FirmaClient } from "@firma-dev/sdk";
const firma = new FirmaClient({ apiKey: "YOUR_API_KEY" });
const response = await firma.templates.listTemplateUsers({
id: "id"
});
console.log(response);Authorizations
API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.
Path Parameters
Template ID
Response
Template users retrieved successfully
List of template users
Show child attributes
Show child attributes
Was this page helpful?
⌘I